package cn.im.trafficdevice.dao;
import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;

import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("trafficroadgridinfoDao")
public class TrafficroadgridinfoDao  extends SqlMapClientDaoSupport{
	
	@Autowired 
    private SqlMapClient sqlMapClient;  
      
	@PostConstruct          
    public  void initSqlMapClient(){  
    	super.setSqlMapClient(sqlMapClient);      
    }

	/**
	 * 增加记录
	 */
	
	public void insert_Trafficroadgridinfo(Map map) throws SQLException{
		this.getSqlMapClientTemplate().insert("insert_Trafficroadgridinfo",map);
	}
	
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Trafficroadgridinfo(List batch) throws SQLException{
		this.insert("batch_insert_Trafficroadgridinfo",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	/*
	public Integer update_Trafficroadgridinfo(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().update("update_Trafficroadgridinfo",map);
	}
	*/
	
	/**
	 * 删除记录
	 */
	
	public Integer delete_Trafficroadgridinfo(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("delete_Trafficroadgridinfo",map);
	}
	
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Trafficroadgridinfo(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("batch_delete_Trafficroadgridinfo",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	
	public Integer count_Trafficroadgridinfo(Map map) throws SQLException{
		return (Integer)this.getSqlMapClientTemplate().queryForObject("count_Trafficroadgridinfo",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	
	public List<Map> query_Trafficroadgridinfo(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("query_Trafficroadgridinfo",map);
	}
	
	/*public List<Map> getPreRoad(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("getPreRoad",map);
	}*/
	
	/**
	 * 查询列表记录
	 */
	/*
	public Map get_Trafficroadgridinfo(Map map) throws SQLException{
		return (Map) this.getSqlMapClientTemplate().queryForObject("query_Trafficroadgridinfo",map);
	}
	*/
	public Map get_TrafficroadgridinfoById(Map map) throws SQLException{
		return (Map) this.getSqlMapClientTemplate().queryForObject("get_TrafficroadgridinfoById",map);
	}
	
}
